Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.io.dataformat
Enum DataFormatSpecification.DataStructure

    java.lang.Object
      java.lang.Enum<DataFormatSpecification.DataStructure>
          org.maltparser.core.io.dataformat.DataFormatSpecification.DataStructure

All Implemented Interfaces:
  Serializable, Comparable<DataFormatSpecification.DataStructure>

Enclosing class:
  DataFormatSpecification

    public static enum DataFormatSpecification.DataStructure

extends Enum<DataFormatSpecification.DataStructure>

Enum Constant Summary
`DEPENDENCY`
`PHRASE`

Method Summary
`static DataFormatSpecification.DataStructure` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataFormatSpecification.DataStructure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEPENDENCY

    public static final DataFormatSpecification.DataStructure DEPENDENCY

### PHRASE

    public static final DataFormatSpecification.DataStructure PHRASE

Method Detail

### values

    public static DataFormatSpecification.DataStructure[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataFormatSpecification.DataStructure c : DataFormatSpecification.DataStructure.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataFormatSpecification.DataStructure valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.